package rabbit.filter;

// $Id: HTMLFilterFactory.java,v 1.2 2005/08/01 12:43:45 robo Exp $

import rabbit.http.HTTPHeader;
import rabbit.proxy.Connection;

/** A factory that creates HTMLFilters.
 */
public interface HTMLFilterFactory {
    /** Get a new HTMLFilter for the given request, response pair.
     * @param con the Connection handling the request.
     * @param request the actual request made.
     * @param response the actual response being sent.
     */
    public HTMLFilter newFilter (Connection con, HTTPHeader request, HTTPHeader response);
}
