package rabbit.util;

// $Id: IllegalConfigurationException.java,v 1.3 2005/05/05 15:29:23 robo Exp $

/** An exception indicating that a configuration option is illegal.
 */
public class IllegalConfigurationException extends Exception {
    private static final long serialVersionUID = 20050430;
    
    /** Create a new IllegalConfiguration.
     */
    public IllegalConfigurationException () {
    }
    
    /** Create a new IllegalConfiguration with a specific message.
     * @param message the description of the error.
     */
    public IllegalConfigurationException (String message) {
	super (message);
    }
}
